Bug 739076 - dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Summary: dbus-daemon: [system] Successfully activated service 'org.freedesktop.Package...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: 21
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 14:06 UTC by udo
Modified: 2017-11-11 11:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:34:25 UTC


Attachments (Terms of Use)

Description udo 2011-09-16 14:06:30 UTC
Description of problem: dbus-daemon logs unnecessary stuff


Version-Release number of selected component (if applicable):
dbus-1.4.6-5.fc15.x86_64

How reproducible:
Run Fedora 15

Steps to Reproduce:
1.
2.
3.
  
Actual results:
See below

Expected results:
less noise, only failures logs

Additional info:
Sep 16 04:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 04:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 04:48:00 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 04:48:00 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 05:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 05:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 05:14:54 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 05:14:54 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 06:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 06:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 07:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 07:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 08:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 08:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 09:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 09:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 10:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 10:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 11:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 11:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 12:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 12:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 13:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 13:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 13:42:21 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 13:42:21 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'
Sep 16 14:00:28 surfplank2 dbus-daemon: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Sep 16 14:00:28 surfplank2 dbus-daemon: [system] Successfully activated service 'org.freedesktop.PackageKit'

Aside from packagekit running without real control over when, how often or why, it does not need to be logged as well. Same for whatever dbus-employing service that runs OK.

Comment 1 David Zeuthen 2011-09-16 15:09:54 UTC
Colin: didn't you add this? And wasn't it added on purpose? Thanks.

Comment 2 Colin Walters 2011-09-17 12:26:26 UTC
Yes.  Sorry, I disagree.  The system log is always going to have things logged on a periodic basis even if "nothing is happening".  cron for instance.

So, NOTABUG.

Comment 3 udo 2011-09-17 13:00:32 UTC
cron has a dedicated log shich we can ignore by looking at the messages file.
the packagekit stuff is not (easily or at all) configurable to set when it will run, how often or at all.
It was bad in Fedora 14 (did still run even if it was set to not bother me), it is worse now.
The whole dbus/packagekit  setup also makes noise in the mesages file where I expect more important stuff that packagekit. (why not run it from cron is of cousre a stupid question)
The current non-permanent workaround appears to be to do a `rm -f /usr/share/dbus-1/system-services/org.freedesktop.PackageKit.service`.
Closing this report with the rationale you provided make me feel the same as when looking at https://bugzilla.redhat.com/show_bug.cgi?id=622663 where some well-intended change REALLY messes up some important quality aspect of a lean and clean running system.
In this bug it litters the messages file.
In that bug it litters into unreadability the startup messages.

Comment 4 udo 2011-09-17 13:07:59 UTC
So:
The UNIX way would be to log something *only* on failure, log everything you like in a dedicated log (like cron's log).
The UNIX way would be to keep the quality startup messages we had in the older redhat/fedora releases and think VERY well about replacing them with whatever just to gain some startup speed. (make it a switchable tradeoff or whatever)

Is that enough to bring the point across?

Comment 5 eaterb 2011-10-14 15:56:32 UTC
Please reconsider addressing this.

Other than these messages, /var/log/messages in fact does NOT have anything logged to it on a periodic basis. Fedora ships with a configuration that filters the periodic messages from cron out of /var/log/messages, presumably for a reason.

At best, it's unclear why these messages are logged with an elevated priority. Why log them at "daemon.notice" rather than "daemon.info" or "daemon.debug"?

If removal is not an option, I'd suggest changing the severity to "debug". It'll still end up in /var/log/messages by default, but make it a lot easier to filter for those of us who don't need an "Everything's OK!" log entry every hour.

Comment 6 Colin Walters 2011-10-26 20:16:23 UTC
The reason this was added is to add some tracking of when system processes are started automatically.  PackageKit is clearly pathological here in that it exits and is restarted frequently.  No other service at present in the default install does this.

Although...hm...systemd doesn't appear to log anything when services are stopped/started/restarted.  And in practice the main periodic logging from cron is in a separate log.

I guess I wouldn't be opposed to moving the dbus logging to a debug option.

But it seems like it'd also be fine to me to change PackageKit to not time out like that.  It could do the timeouts internally, by e.g. having two processes - one to own the name and one to load in yum or whatever.   rhughes?

Comment 7 alweiner7 2012-02-10 20:38:12 UTC
In the initial report (F15) PackageKit was getting activated and logged once per hour. In F16, (my desktop PC is configured to check daily for updates), PackageKit is getting activated and logged every six minutes.

Comment 8 Fedora End Of Life 2012-08-07 19:49:15 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Admin XMLRPC Client 2013-02-22 15:18:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2013-02-22 15:23:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Bob Gustafson 2013-04-04 10:42:06 UTC
My system is running slow and I am poking around looking for something to blame..

dbus seems to be complaining/notifying a lot..

This is in an uptodate Fedora 18 system

# uname -a
Linux hoho0 3.8.4-202.fc18.x86_64 #1 SMP Thu Mar 21 17:02:20 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


# tail -30  /var/log/messages
Apr  4 05:18:38 hoho0 gdm-simple-slave[651]: WARNING: GdmSlave: could not fetch type of session '1': No such file or directory
Apr  4 05:18:39 hoho0 dbus-daemon[605]: dbus[605]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=601 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.77" (uid=1000 pid=1815 comm="gnome-session ")
Apr  4 05:18:39 hoho0 dbus[605]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=601 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.77" (uid=1000 pid=1815 comm="gnome-session ")
Apr  4 05:18:54 hoho0 dbus-daemon[605]: ** Message: No devices in use, exit
Apr  4 05:20:00 hoho0 dbus-daemon[605]: dbus[605]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Apr  4 05:20:00 hoho0 dbus[605]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Apr  4 05:20:03 hoho0 dbus-daemon[605]: dbus[605]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Apr  4 05:20:03 hoho0 dbus[605]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Apr  4 05:23:46 hoho0 dbus-daemon[605]: dbus[605]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Apr  4 05:23:46 hoho0 dbus[605]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Apr  4 05:23:48 hoho0 dbus-daemon[605]: dbus[605]: [system] Successfully activated service 'net.reactivated.Fprint'
Apr  4 05:23:48 hoho0 dbus[605]: [system] Successfully activated service 'net.reactivated.Fprint'
Apr  4 05:23:48 hoho0 dbus-daemon[605]: Launching FprintObject
Apr  4 05:23:48 hoho0 dbus-daemon[605]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Apr  4 05:23:48 hoho0 dbus-daemon[605]: ** Message: entering main loop
Apr  4 05:24:18 hoho0 dbus-daemon[605]: ** Message: No devices in use, exit


Apr  4 05:27:33 hoho0 dbus-daemon[605]: dbus[605]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Apr  4 05:27:33 hoho0 dbus[605]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Apr  4 05:27:36 hoho0 dbus-daemon[605]: dbus[605]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Apr  4 05:27:36 hoho0 dbus[605]: [system] Successfully activated service 'org.freedesktop.PackageKit'

Comment 12 Fedora End Of Life 2013-07-04 06:36:36 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 udo 2013-07-04 13:14:05 UTC
Loads of bugzilla emails won't help.

Comment 14 Fedora End Of Life 2013-12-21 14:57:17 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 udo 2013-12-21 15:27:39 UTC
Please reconsider based on the current situation. (e.g. systemd doing a lot more than just the init thing one said it would do)
Please do not log successes (at a level that is visible to the casual user).
Please do not log at all (at a level that is visible to the casual user).

Comment 16 udo 2013-12-24 01:06:50 UTC
Fedora 20:
Dec 23 19:05:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:05:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:05:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file 
or directory.
Dec 23 19:05:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:07:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:07:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:07:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:07:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:09:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:09:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:09:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:09:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:11:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:11:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:11:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:11:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:13:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:13:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:13:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:13:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:15:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:15:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:15:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:15:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:17:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:17:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:17:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:17:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:19:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:19:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:19:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:19:12 recorder dbus-daemon: dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 19:21:12 recorder dbus-daemon: dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:21:12 recorder dbus[661]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 19:21:12 recorder dbus[661]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
(etc, etc, etc)

PLEASE fix: please clean up the messages file of all nonsense you added that has no real purpose.
Just log once on startup, just log errors/failures/warnings after that point.
Please do not bother me with your design issues. Please think ahead.
Why does this stuff even pass testing?

Comment 17 udo 2013-12-24 01:20:30 UTC
So:
dbus logs way too much.
And maybe it has another issue:

[root@recorder etc]# cat /usr/share/dbus-1/system-services/org.freedesktop.ModemManager1.service
# This D-Bus service activation file is only for systemd support since
# an auto-activated ModemManager would be quite surprising for those people
# who have MM installed but turned off.  Thus the Exec path available to
# D-Bus is /bin/false, but systemd knows the real Exec path due to the MM
# systemd .service file.

[D-BUS Service]
Name=org.freedesktop.ModemManager1
Exec=/usr/sbin/ModemManager
User=root
SystemdService=dbus-org.freedesktop.ModemManager1.service
[root@recorder etc]# rpm -q ModemManager
ModemManager-1.1.0-2.git20130913.fc20.x86_64

So there is a ModemManager (why? we do not have a modem there)
And we have a service file.

Hmm...

Dec 22 10:39:08 recorder dbus-daemon: dbus[850]: [system] Successfully activated service 'org.freedesktop.ModemManager'
Dec 22 10:39:08 recorder dbus[850]: [system] Successfully activated service 'org.freedesktop.ModemManager'
Dec 22 10:41:38 recorder dbus-daemon: dbus[624]: [system] Activating service name='org.freedesktop.ModemManager' (using servicehelper)
Dec 22 10:41:38 recorder dbus[624]: [system] Activating service name='org.freedesktop.ModemManager' (using servicehelper)
Dec 22 10:41:39 recorder modem-manager[675]: <info>  ModemManager (version 0.6.2.0-1.fc19) starting...
Dec 22 10:41:39 recorder dbus-daemon: modem-manager[675]: <info>  ModemManager (version 0.6.2.0-1.fc19) starting...
Dec 22 10:41:39 recorder dbus-daemon: dbus[624]: [system] Successfully activated service 'org.freedesktop.ModemManager'
Dec 22 10:41:39 recorder dbus[624]: [system] Successfully activated service 'org.freedesktop.ModemManager'
Dec 23 16:49:40 recorder dbus-daemon: dbus[662]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 16:49:40 recorder dbus[662]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 16:49:40 recorder dbus[662]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 16:49:40 recorder dbus-daemon: dbus[662]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 16:51:41 recorder dbus-daemon: dbus[662]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 16:51:41 recorder dbus[662]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Dec 23 16:51:41 recorder dbus[662]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Dec 23 16:51:41 recorder dbus-daemon: dbus[662]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: 

We see the old fedora 19 behaviour: very noisy yet `functional`.
We see the newer fedora 20 behaviour: very noisy and not even functional.
So stuff did `work` yet the upgrade to fedora might be a factor here.

I do not want dbus to log anything. Certainly not twice.
I do not need a ModemManager.

Comment 18 Paul Cartwright 2014-04-06 15:27:47 UTC
still logging it in Fedora 20 amd_64

Apr  6 10:52:39 pauls-server dbus[871]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Apr  6 10:52:39 pauls-server dbus-daemon: dbus[871]: [system] Successfully activated service 'org.freedesktop.hostname1'
Apr  6 10:52:39 pauls-server dbus[871]: [system] Successfully activated service 'org.freedesktop.hostname1'
Apr  6 11:10:12 pauls-server dbus-daemon: dbus[871]: [system] Activating via systemd: service name='org.freedesktop.PackageKit' unit='packagekit.service'
Apr  6 11:10:12 pauls-server dbus[871]: [system] Activating via systemd: service name='org.freedesktop.PackageKit' unit='packagekit.service'
Apr  6 11:10:12 pauls-server dbus[871]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Apr  6 11:10:12 pauls-server dbus-daemon: dbus[871]: [system] Successfully activated service 'org.freedesktop.PackageKit'

Comment 19 Fedora End Of Life 2015-05-29 08:40:14 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 udo 2015-05-29 12:42:02 UTC
We removed PackageKit.
Did you fix the logging yet?
Or read about proper logging behaviour on UNIX?

Comment 21 Fedora End Of Life 2015-06-30 00:34:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 udo 2017-11-11 11:17:15 UTC
The workaround for this unfixed issue is perhaps this:

# cat /etc/rsyslog.d/drop-user-messages.conf 
:syslogtag,contains,"yum"       stop
:syslogtag,contains,"cupsd"       stop
:msg,contains,"[system] Activating via systemd: service name"	stop
:msg,contains,"[system] Successfully activated service"	stop
user.* -/var/log/user.log
& stop



Thys rsyslog config filters out `user` category stuff (except yum and cupsd) and puts these in a different log file, away from /var/log/messages.
It *also* stops the activation-related garbage that should be at debug or lower instead of whatever it is now. (it doesn't even have a config setting to change the log level..)
This makes /var/log/messages a bit cleaner, more like it was before the systemd-tsunami (of loggings) entered Linux.


Note You need to log in before you can comment on or make changes to this bug.